<div id="tour-edit" class="inpStyle">
	<div class="c-body">
		<div class="c-title">
			<?= $this->tour ? __('pv2_edit_escort_tour', array('showname' => $this->escort->showname)) : __('pv2_add_escort_tour', array('showname' => $this->escort->showname)) ?>
		</div>
	</div>
	<form id="tourData" action="<?= $this->getLink('private-v2-tours-edit') ?>" method="post">

		<div class="form">
			<div><?php /* ?> class="inner clearFloat">

				<label for="country" class="lft"><?= __('pv2_label_country') ?></label>
				<?=	Cubix_Application::getById()->country_title ?>
 				<?php */ ?>
				<input type="hidden" id="cnt_id" value="<?= Cubix_Application::getById()->country_id ?>" name="country_id" class="rgt" />
			</div>

            <?php if( $this->user->isAgency() ): ?>
                <div class="inner clearFloat">
                    <label for="selectsList" class="lft"><?=__('select_escort')?></label>
                    <select id="selectsList" name="escort_id" class="rgt">
                        <option value="-1">All</option>
                        <? foreach ( $this->escorts as $escort ): ?>
                            <option <?=( $escort['id'] == $this->escort_id ) ? 'selected' : ''?> value="<?= $escort['id'] ?>"><?= $escort['showname'] ?></option>
                        <? endforeach ?>
                    </select>
                </div>
            <?php elseif( $this->user->isEscort() ): ?>
                <input type="hidden" name="escort_id" value="<?= $this->escort->id ?>" />

                <?php if( $this->tour ): ?>
                    <input type="hidden" name="id" value="<?= $this->tour['id'] ?>" />
                <?php endif; ?>
            <?php endif; ?>

			<div class="inner clearFloat">
				<label for="city" class="lft"><?= __('pv2_label_city') ?></label>
				<select id="city" name="city_id" class="rgt">
					<option value="">- city -</option>
					<? $model = new Cubix_Geography_Cities() ?>
					<? foreach ( $model->ajaxGetAll(null, Cubix_Application::getById()->country_id) as $city ): ?>
						<option value="<?= $city->id ?>" <?= ($this->tour['city_id'] == $city->id) ? ' selected="selected"' : '' ?>><?= $city->title ?></option>
					<? endforeach ?>
				</select>
			</div>


            <input class="inHide" type="checkbox" id="is_time_on" name="is_time_on"  value="1" <?= $this->tour['minutes_to'] ? ' checked="checked"' : '' ?> />
            <?php /* ?> <label for="is_time_on"><?= __('pv2_label_time') ?></label><?php */ ?>

			<div class="inner clearFloat dateFields">
				<label for="date_from" class="lft"><?= __('starting_date') ?></label>
				<input type="date" class="txt" id="date_from" name="date_from" value="<?= $this->tour ? date( "Y-m-d", $this->tour['date_from'] ) : '' ?>" />
			</div>

			<div class="inner clearFloat dateFields">
				<label for="date_from" class="lft"><?= __('starting_time') ?></label>
				<select  id="minutes_from" name="minutes_from">
					<option value="" > --- </option>
					<? for($i = 0; $i < 24; $i++ ):?>
						<? if($i <= 9):?>
							<? $i_show = "0".$i ?>
						<? else:?>
							<? $i_show = "".$i ?>
						<? endif;?>
						<option value="<?= $i * 60 ?>"   <?= (!is_null($this->tour['minutes_from']) && $this->tour['minutes_from'] == $i * 60) ? ' selected="selected"' : '' ?>><?= $i_show.' : 00' ?>  </option>
						<option value="<?= ($i + 0.5) * 60 ?>" <?= (!is_null($this->tour['minutes_from']) && $this->tour['minutes_from'] == ($i + 0.5) * 60) ? ' selected="selected"' : '' ?>><?= $i_show.' : 30' ?> </option>
					<? endfor;?>
				</select>
			</div>

			<div class="inner clearFloat dateFields">
				<label for="date_to" class="lft"><?= __('finish_date') ?></label>
				<input type="date" class="txt" id="date_to" name="date_to" value="<?= $this->tour ? date( "Y-m-d", $this->tour['date_to'] ) : '' ?>" />
			</div>

			<div class="inner clearFloat dateFields">
				<label for="date_from" class="lft"><?= __('finish_time') ?></label>
				<select id="minutes_to" name="minutes_to">
					<option value="" > --- </option>
					<? for($i = 0; $i < 24; $i++ ):?>
						<? if($i <= 9):?>
							<? $i_show = "0".$i ?>
						<? else:?>
							<? $i_show = "".$i ?>
						<? endif;?>
						<option value="<?= $i * 60 ?>" <?= (!is_null($this->tour['minutes_to']) && $this->tour['minutes_to'] == $i * 60) ? ' selected="selected"' : '' ?> ><?= $i_show.' : 00' ?>  </option>
						<option value="<?= ($i + 0.5) * 60 ?>" <?= (!is_null($this->tour['minutes_to']) && $this->tour['minutes_to'] == ($i + 0.5) * 60) ? ' selected="selected"' : '' ?> ><?= $i_show.' : 30' ?> </option>
					<? endfor;?>
				</select>
			</div>

			<div class="inner clearFloat">
				<label for="tour_phone" class="lft"><?= __('pv2_label_tour_phone') ?></label>
				<input type="text" class="txt rgt" id="tour_phone" name="phone" value="<?= $this->tour ? $this->tour['phone'] : '' ?>" />
			</div>

			<div class="inner clearFloat">
				<label for="tour_email" class="lft"><?= __('pv2_label_tour_email') ?></label>
				<input type="text" class="txt rgt" id="tour_email" name="email" value="<?= $this->tour ? $this->tour['email'] : '' ?>" />
			</div>
		</div>

		<?php /*
		<div class="actions">
			<a href="#" class="styled-button" onclick="SaveTour($('tour-edit').getParent()); return false"><span><?= $this->tour ? 'Save Tour' : 'Add Tour' ?></span></a>
		</div> */ ?>
	</form>
	<div class="clear"></div>
</div>

<div id="saveWrapper" class="tour">
	<input type="submit" value="<?= $this->tour ? __('pv2_edit_escort_tour') : __('tour_add') ?>" id="saveTour" />
</div>

<script>
    MCubix.Agency.Tours = {

    };

	MCubix.Agency.Tours.edit = function(){
		var ch_time = $('#is_time_on'),
			time_inputs = $('#minutes_from, #minutes_to');

		ch_time.on('change', function(){
			time_inputs.prop( 'disabled', !$(this).is(':checked') );
		});
	};

	MCubix.Agency.Tours.save = function(){
		var save_btn = $('#saveTour'),
			err_count = 0;

		save_btn.on('click', function(e){
			e.preventDefault();

			var form_data = {
				country_id: $('#cnt_id').val(),
				city_id: $('#city').find(':selected').val(),
				date_from: MCubix.HTML5.Inputs.getTimestamp( $('#date_from') ),
				date_to: MCubix.HTML5.Inputs.getTimestamp( $('#date_to') ),
				is_time_on: $('#is_time_on').val(),
				minutes_from: $('#minutes_from').find(':selected').val(),
				minutes_to: $('#minutes_to').find(':selected').val(),
				diff_time: $('#diff_time').val(),
				phone: $('#tour_phone').val(),
				email: $('#tour_email').val(),
                escort_id: ( +'<?=$this->escort_id?>' ) || $('#selectsList').find(':selected').val(),
                id: '<?=$this->tour_id?>'
			};

			$.ajax({
				method: 'POST',
				data: form_data,
				url: $('#tourData').attr('action'),
				beforeSend: function(){
					MCubix.OverlayV2.init( true );
				},
				success: function( resp ){
					MCubix.OverlayV2.init( false );
					resp = jQuery.parseJSON( resp );

					if( resp.status == 'error' ){
						$('#tourData').find('select, input').removeClass('error');
						// MCubix.VibrationApi.call( 50 );

						for( var i in resp.msgs ){
							$('[name="' + i + '"]').addClass('error');
							err_count += 1;
						}
					} else if( resp.status == 'success' ){
						err_count = 0;
						MCubix.OverlayV2.init( true );
						/*MCubix.Popup.currentClose( function(){
							location.reload();
						});*/
						window.location.href = "<?=$this->getLink('private-v2-tours')?>";
					}
				}
			})
		});
	};

	$(document).ready(function(){
		MCubix.Agency.Tours.edit();
		MCubix.Agency.Tours.save();
	});
</script>
